### Method

# Vips Image gifsave_target

#### Declaration [src]

    int
    vips_gifsave_target (
      VipsImage* in,
      VipsTarget* target,
      ...
    )

#### Description [src]

As `vips_gifsave()`, but save to a target.

Optional arguments

- `dither`: `gdouble`, quantisation dithering level
- `effort`: `gint`, quantisation CPU effort
- `bitdepth`: `gint`, number of bits per pixel
- `interframe_maxerror`: `gdouble`, maximum inter-frame error for transparency
- `reuse`: `gboolean`, reuse palette from input
- `interlace`: `gboolean`, write an interlaced (progressive) GIF
- `interpalette_maxerror`: `gdouble`, maximum inter-palette error for palette reusage
- `keep_duplicate_frames`: `gboolean`, keep duplicate frames in the output instead of combining them

See also

`vips_gifsave()`, `vips_image_write_to_target()`.

This method is not directly available to language bindings.

#### Parameters

`target`

  Type: `VipsTarget`

  Save image to this target.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.